Planet (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj
Class Planet

    java.lang.Object
      com.bbn.openmap.proj.Planet

    public class Planet

extends java.lang.Object

Planet datums and parameters. These values are taken from John Snyder's Map Projections --A Working Manual You should add datums as needed, consult the ellips.dat file.

Field Summary
`static int` | `defaultPixelsPerMeter`
`static int` | `Earth`
`static float` | `international1974_earthEquatorialRadiusMeters`
`static float` | `international1974_earthFlat`
`static float` | `international1974_earthPolarRadiusMeters`
`static int` | `Mars`
`static float` | `marsEccen`
`static float` | `marsEquatorialRadius`
`static float` | `marsFlat`
`static float` | `wgs84_earthEccen`
`static float` | `wgs84_earthEquatorialCircumferenceKM`
`static double` | `wgs84_earthEquatorialCircumferenceKM_D`
`static float` | `wgs84_earthEquatorialCircumferenceMeters`
`static double` | `wgs84_earthEquatorialCircumferenceMeters_D`
`static float` | `wgs84_earthEquatorialCircumferenceMiles`
`static double` | `wgs84_earthEquatorialCircumferenceMiles_D`
`static float` | `wgs84_earthEquatorialCircumferenceNMiles`
`static double` | `wgs84_earthEquatorialCircumferenceNMiles_D`
`static float` | `wgs84_earthEquatorialRadiusMeters`
`static double` | `wgs84_earthEquatorialRadiusMeters_D`
`static float` | `wgs84_earthFlat`
`static float` | `wgs84_earthPolarRadiusMeters`
`static double` | `wgs84_earthPolarRadiusMeters_D`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Earth

    public static final transient int Earth

See Also:
  Constant Field Values

### Mars

    public static final transient int Mars

See Also:
  Constant Field Values

### wgs84_earthPolarRadiusMeters

    public static final transient float wgs84_earthPolarRadiusMeters

See Also:
  Constant Field Values

### wgs84_earthPolarRadiusMeters_D

    public static final transient double wgs84_earthPolarRadiusMeters_D

See Also:
  Constant Field Values

### wgs84_earthEquatorialRadiusMeters

    public static final transient float wgs84_earthEquatorialRadiusMeters

See Also:
  Constant Field Values

### wgs84_earthEquatorialRadiusMeters_D

    public static final transient double wgs84_earthEquatorialRadiusMeters_D

See Also:
  Constant Field Values

### wgs84_earthFlat

    public static final transient float wgs84_earthFlat

See Also:
  Constant Field Values

### wgs84_earthEccen

    public static final transient float wgs84_earthEccen

### wgs84_earthEquatorialCircumferenceMeters

    public static final transient float wgs84_earthEquatorialCircumferenceMeters

See Also:
  Constant Field Values

### wgs84_earthEquatorialCircumferenceKM

    public static final transient float wgs84_earthEquatorialCircumferenceKM

See Also:
  Constant Field Values

### wgs84_earthEquatorialCircumferenceMiles

    public static final transient float wgs84_earthEquatorialCircumferenceMiles

See Also:
  Constant Field Values

### wgs84_earthEquatorialCircumferenceNMiles

    public static final transient float wgs84_earthEquatorialCircumferenceNMiles

See Also:
  Constant Field Values

### wgs84_earthEquatorialCircumferenceMeters_D

    public static final transient double wgs84_earthEquatorialCircumferenceMeters_D

See Also:
  Constant Field Values

### wgs84_earthEquatorialCircumferenceKM_D

    public static final transient double wgs84_earthEquatorialCircumferenceKM_D

See Also:
  Constant Field Values

### wgs84_earthEquatorialCircumferenceMiles_D

    public static final transient double wgs84_earthEquatorialCircumferenceMiles_D

See Also:
  Constant Field Values

### wgs84_earthEquatorialCircumferenceNMiles_D

    public static final transient double wgs84_earthEquatorialCircumferenceNMiles_D

See Also:
  Constant Field Values

### marsEquatorialRadius

    public static final transient float marsEquatorialRadius

See Also:
  Constant Field Values

### marsEccen

    public static final transient float marsEccen

See Also:
  Constant Field Values

### marsFlat

    public static final transient float marsFlat

See Also:
  Constant Field Values

### international1974_earthPolarRadiusMeters

    public static final transient float international1974_earthPolarRadiusMeters

See Also:
  Constant Field Values

### international1974_earthEquatorialRadiusMeters

    public static final transient float international1974_earthEquatorialRadiusMeters

See Also:
  Constant Field Values

### international1974_earthFlat

    public static final transient float international1974_earthFlat

See Also:
  Constant Field Values

### defaultPixelsPerMeter

    public static transient int defaultPixelsPerMeter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details